org.apache.storm.mqtt.bolt

## Class MqttBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichBolt
    - - org.apache.storm.topology.base.BaseTickTupleAwareRichBolt
      - - org.apache.storm.mqtt.bolt.MqttBolt

- All Implemented Interfaces:
    Serializable, IBolt, IComponent, IRichBolt

      public class MqttBolt
      extends BaseTickTupleAwareRichBolt

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttBolt(MqttOptions options, MqttTupleMapper mapper)`
    `MqttBolt(MqttOptions options, MqttTupleMapper mapper, boolean retain)`
    `MqttBolt(MqttOptions options, MqttTupleMapper mapper, KeyStoreLoader keyStoreLoader)`
    `MqttBolt(MqttOptions options, MqttTupleMapper mapper, KeyStoreLoader keyStoreLoader, boolean retain)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declareOutputFields(OutputFieldsDeclarer declarer)` Declare the output schema for all the streams of this topology.
    `void` | `prepare(Map<String,Object> conf, TopologyContext context, OutputCollector collector)` Called when a task for this component is initialized within a worker on the cluster.
    `protected void` | `process(Tuple input)` Process a single non-tick tuple of input.

    - ### Methods inherited from class org.apache.storm.topology.base.BaseTickTupleAwareRichBolt

      `execute, onTickTuple`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseRichBolt

      `cleanup`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Constructor Detail

    - #### MqttBolt

          public MqttBolt(MqttOptions options,
                          MqttTupleMapper mapper)

    - #### MqttBolt

          public MqttBolt(MqttOptions options,
                          MqttTupleMapper mapper,
                          boolean retain)

    - #### MqttBolt

          public MqttBolt(MqttOptions options,
                          MqttTupleMapper mapper,
                          KeyStoreLoader keyStoreLoader)

    - #### MqttBolt

          public MqttBolt(MqttOptions options,
                          MqttTupleMapper mapper,
                          KeyStoreLoader keyStoreLoader,
                          boolean retain)

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              TopologyContext context,
                              OutputCollector collector)

      Description copied from interface: `IBolt`

      Called when a task for this component is initialized within a worker on the cluster. It provides the bolt with the environment in which the bolt executes.

      This includes the:

      Parameters:
        `conf` - The Storm configuration for this bolt. This is the configuration provided to the topology merged in with cluster configuration on this machine.
        `context` - This object can be used to get information about this task’s place within the topology, including the task id and component id of this task, input and output information, etc.
        `collector` - The collector is used to emit tuples from this bolt. Tuples can be emitted at any time, including the prepare and cleanup methods. The collector is thread-safe and should be saved as an instance variable of this bolt object.

    - #### process

          protected void process(Tuple input)

      Description copied from class: `BaseTickTupleAwareRichBolt`

      Process a single non-tick tuple of input. Implementation needs to handle ack manually. More details on `IBolt.execute(Tuple)`.

      Specified by:
        `process` in class `BaseTickTupleAwareRichBolt`
      Parameters:
        `input` - The input tuple to be processed.

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`

      Declare the output schema for all the streams of this topology.

      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

Copyright © 2021 The Apache Software Foundation. All rights reserved.